﻿<UserControl x:Class="VECTO3GUI.Views.JobEditView" Name="JobEditForm"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:VECTO3GUI.Views"
             xmlns:viewModel="clr-namespace:VECTO3GUI.ViewModel"
             xmlns:impl="clr-namespace:VECTO3GUI.ViewModel.Impl"
             xmlns:util="clr-namespace:VECTO3GUI.Util"
             xmlns:interfaces="clr-namespace:VECTO3GUI.ViewModel.Interfaces"
             mc:Ignorable="d" 
             d:DesignHeight="400" d:DesignWidth="600">
    <d:JobEditView.DataContext>
        <x:Type Type="interfaces:IJobEditViewModel"/>
    </d:JobEditView.DataContext>
    <DockPanel LastChildFill="False">
        <StackPanel DockPanel.Dock="Top" Orientation="Horizontal" Background="Gray">
            <TextBlock Text="{Binding JobFile}" FontSize="14px" FontWeight="Bold" Foreground="White" Margin="120,5,0,5"/>
        </StackPanel>
        <StackPanel DockPanel.Dock="Left" MinWidth="120" Background="Gray">
            <ItemsControl ItemsSource="{Binding Components}" Margin="0, 20, 0, 0" Name="ComponentButtons">
                <ItemsControl.ItemTemplate>
                    <DataTemplate DataType="util:Component">
                        <Button Background="Gray" BorderBrush="Gray" Foreground="White" HorizontalAlignment="Left" Padding="10,0,0,0" FontSize="16pt" Margin="0,5,0,0"
                                Content="{Binding}"
                                Command="{Binding ElementName=ComponentButtons,  Path=DataContext.EditComponent}"
                                CommandParameter="{Binding}"/>
                    </DataTemplate>
                </ItemsControl.ItemTemplate>
            </ItemsControl>
        </StackPanel>
        <DockPanel DockPanel.Dock="Bottom" Background="Gray" VerticalAlignment="Bottom">
            <StackPanel Orientation="Horizontal" FlowDirection="RightToLeft">
            <Button Command="{Binding SaveJob}" Padding="10,3" HorizontalAlignment="Right" Margin="5">Save</Button>
                <Button Command="{Binding CloseJob}" CommandParameter="{Binding ElementName=JobEditForm}" Padding="10,3" HorizontalAlignment="Right" Margin="5">Close</Button>
            </StackPanel>
        </DockPanel>
        <ScrollViewer  DockPanel.Dock="Top">
            <ContentControl Content="{Binding CurrentComponent}" MinHeight="100"/>
        </ScrollViewer>
    </DockPanel>
</UserControl>

